com.smartgwt.client.types

## Enum PanelPlacement

- java.lang.Object
- - java.lang.Enum<PanelPlacement>
  - - com.smartgwt.client.types.PanelPlacement

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<PanelPlacement>

      public enum PanelPlacement
      extends java.lang.Enum<PanelPlacement>
      implements ValueEnum

  Possible placements for pop-up choosers, menus, dialogs or other temporary UIs, which may need to expand to take up additional room for smaller screens.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILLPANEL` fill the nearest containing panel managed by a device-aware layout such as `SplitPane`, which will generally be equivalent to "fillScreen" for a `handset-sized device`.
    `FILLSCREEN` fill the entire screen
    `HALFSCREEN` fill the bottom half of the screen.
    `NEARORIGIN` classic placement for menus, pop-up lists and pickers in desktop interfaces: near the control that was clicked (a search field, `MenuButton`, etc).
    `NONE` this setting disables all panelPlacement sizing and positioning logic.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static PanelPlacement` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PanelPlacement[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEARORIGIN

          public static final PanelPlacement NEARORIGIN

      classic placement for menus, pop-up lists and pickers in desktop interfaces: near the control that was clicked (a search field, `MenuButton`, etc). Note: this setting does not apply when there is no originating control (such as a dialog that appears due to session timeout), in which case centering will generally be used

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "nearOrigin".

    - #### FILLPANEL

          public static final PanelPlacement FILLPANEL

      fill the nearest containing panel managed by a device-aware layout such as `SplitPane`, which will generally be equivalent to "fillScreen" for a `handset-sized device`. Note: this setting does not apply if there is no clear container for the component originating the UI, in which case, "fillScreen" will generally be used.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fillPanel".

    - #### FILLSCREEN

          public static final PanelPlacement FILLSCREEN

      fill the entire screen

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fillScreen".

    - #### HALFSCREEN

          public static final PanelPlacement HALFSCREEN

      fill the bottom half of the screen. This is the default behavior on iOS6/7 for plain HTML <select>, but note that native apps rarely use this interface for picking from lists and it is not generally recommended.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "halfScreen".

    - #### NONE

          public static final PanelPlacement NONE

      this setting disables all panelPlacement sizing and positioning logic. Explicitly specified size and positioning will be used.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### Method Detail

    - #### values

          public static PanelPlacement[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PanelPlacement c : PanelPlacement.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PanelPlacement valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`